# Settings for various kinds of tracking that Distributions can
# enable. Distributions looking at tracking should be aware of
# the privacy (and hence communications) impact of that tracking,
# and are advised to consult the Mozilla and KDE policies on
# privacy and user tracking.
#
# There are three areas of tracking (-configuration) supported
# by Calamares It is up to individual Distributions to create
# suitable backends / configuration scripts for each. The
# different areas are:
#
# install:  This is "phone home" functionality at the end of the
#           install process. When enabled, it contacts the given
#           URL. The URL can contain the special token $MACHINE,
#           which is replaced by the machine-id of the installed
#           system (if available, blank otherwise).
#
# machine:  This enables machine-level tracking on a (semi-)
#           continuous basis. It is meant to keep track of installed
#           systems and their continued use / updating.
#
# user:     This area enables user-level tracking, along the lines
#           of the KDE User Telemetry Policy. It enables specific
#           collection of data at a user- and application-level,
#           possibly including actions done in an application.
#           For the KDE environment, this enables user tracking
#           with the appropriate framework, and the KDE User Telemetry
#           policy applies.
#
# Each area has a key *enabled*. If the area is enabled, it is shown to
# the user. This defaults to off, which means no tracking would be
# configured or enabled by Calamares.
#
# Each area has a key *policy*, which is a Url to be opened when
# the user clicks on the corresponding Help button for an explanation
# of the details of that particular kind of tracking. If no policy
# is set, the help button is hidden. The example policy links
# go to Calamares' generic user manual.
#
# Each area may have other configuration keys, depending on the
# area and how it needs to be configured.
#
# Globally, there are two other keys:
#
# policy:   (optional) url about tracking settings for this distro.
# default:  (optional) level to enable by default
#
---
# This is the global policy; it is displayed as a link on the page.
# If blank or commented out, no link is displayed on the tracking
# page. It is recommended to either provide policy URLs for each
# area, *or* one general link, and not to mix them.
policy:  "https://github.com/calamares/calamares/wiki/Users-Guide#installation-tracking"

# This is the default level to enable for tracking. If commented out,
# empty, or otherwise invalid, "none" is used, so no tracking by default.
default:    user

# The install area has one specific configuration key:
#   url:    this URL (remember to include the protocol, and prefer https)
#           is fetched (with a GET request, and the data discarded) at
#           the end of the installation process. The following tokens
#           are replaced in the url (possibly by blank strings, or by 0).
#               - $CPU (cpu make and model)
#               - $MEMORY (amount of main memory available)
#               - $DISK (total amount of disk attached)
#           Typically these are used as GET parameters, as in the example.
#
# Note that phone-home only works if the system has an internet
# connection; it is a good idea to require internet in the welcome
# module then.
install:
    enabled: false
    policy:  "https://github.com/calamares/calamares/wiki/Users-Guide#installation-tracking"
    # url:     "https://example.com/install.php?c=$CPU&m=$MEMORY"

# The machine area has one specific configuration key:
#   style:  This string specifies what kind of tracking configuration
#           needs to be done. There is currently only one valid
#           style, "neon", which edits two files in the installed
#           system to enable system-tracking.
machine:
    enabled: false
    style: neon

# The user area is not yet implemented, and has no specific configuration.
user:
    enabled: false
